/* nvm.c    n-machine simulator
   22 Nov 2004
   P. Chongstitvatana

	change to one memory model M[]	30 Nov 2004
	add GVAR: ld,st,ldy,sty	 		 5 Jan 2005

	modify to teach lexical analyser 12 July 2010
 */

#include "nut2.h"

extern int tok;

void error( char *mess ){
	printf("error: %s\n", mess);
	exit(0);
}

int main(int argc, char *argv[]){
	int v, start;
	if( argc < 2 ) {
		printf("usage : nsim32 objfile\n");
		exit(0);
	}
	start = loadobj(argv[1]);
	tok = mynew(80);
	if ((tok%2) != 0 ) mynew(1); // make heap even
	v = eval(start);
	return 0;
}

